* , *::before, *::after {
    padding: 0;
    margin: 0;
    box-sizing:border-box;
}

body{
    font-family: 'Poppins', sans-serif;
    text-align:center;
}


header {
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    padding: 24px;
    /* background-color: beige; */
    display:flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

main {
    background-image: linear-gradient(#ffffff,#bffbff);
}
ul {
    list-style: none;
    display:flex;
    flex-direction: row;
    align-items: center;
    /* background-color: red; */
}

@media (max-width: 768px) {
    #menu_list{
        display:none;
    }
    
}
@media (min-width: 768px) {
#menu{
display:none;
}
}
.menu_item {
    margin-left: 48px;
}

a {
    text-decoration: none;
}

p {
    font-size:14px;
    margin-top:12px;
    max-width: 680px;
}

.section_main {
    padding:36px 24px;
    display:flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    min-height: 40vh;
    background-color: white;
    /* resetting margin and adding padding to set bakground gradient */
    margin: 0;
    padding-bottom: 64px;
}

.section_main > img {
    width: 196x;
    height: 196px;
    margin-bottom: 40px;
}

.section_about {
    padding: 78px;
    display:flex;
    /* justify-content: center; */
    flex-direction: column;
    align-items: center;
    background-color:#333333;
    color: white;
}

section {
    margin-top:64px;
    margin-bottom:64px;
}
.image {
    width: 36px;
    height:36px;
    margin-top:32px;
}

footer {
    padding: 25px;
    background-color:#cfc9bc;
    display:flex;
    flex-direction: column;
    align-items: center;
}
.section_skillset {
    padding:25px;
    display:flex;
    flex-direction: column;
    align-items: center;
    background-image: linear-gradient(#defdff,#cfc9bc);
    margin:0;
}

.skill {
    width: 130px;
    display:flex;
    flex-direction: column;
    align-items: center;
}

.image-holder{
    aspect-ratio: 1/1;
    width:100%;
    border-radius: 50%;
    background-color: beige;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.image-holder> img{
    width: 60%;
    aspect-ratio: 4/3;
    object-fit: contain;
}
.skills_list {
    margin-top:50px;
    display:flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    grid-gap:24px;
}

.skill>span {
    margin-top:16px;
    font-weight: 500;
}

.section_libraries {
    padding:25px;
    display:flex;
    flex-direction: column;
    align-items: center;
}

.library_list {
    margin-top:50px;
    display:flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    grid-gap:24px;
}
/* added same width to each item */
.library {
    width: 130px;
    display:flex;
    flex-direction: column;
    align-items: center;
}
/* added font weight to look more bold */
.library_name {
    font-weight: 450;
}


navlink:hover {
    color:red
}

#social {
    grid-gap:20px;
}

.socials {
    border-radius: 1000px;
}


.webapps {
    width: 300px;
    border: 15px solid green;
    padding: 50px;
    margin: 20px;
}



.projects {
    margin-top: 2.5rem;
    width: 130px;
    display:flex;
    flex-direction: column;
    align-items: center;
}

.projects > img {
    margin:30%;
    align-items: center;
}
.projects2 {
    /* margin-top: 2rem; */
    width: 130px;
    display:flex;
    flex-direction: column;
    align-items: center;
    border: 100%;
    margin-bottom: 2rem;
}


.webapps-container {
    border:77px;
    margin:77px;
    display:flex;
    flex-direction: column;
    background-color:#000;
    align-items: center;
    color: rgb(255, 255, 255);
    box-shadow: 10px 10px #d21414;
}

.project-heading{
    font-size: 30px;
    min-height: min-content;
    padding: 0;
    margin-top: 1rem;
    font-weight: bold;
}

.projectName{
    font-size: 20px;
    font-style: italic;
    font-weight: bolder;
}

@media (max-width: 768px) {
    .webapps-container {
        margin: auto;
        box-shadow: none;
    }
    .project-heading {
        font-size: 20px;
    }
    .project2{
        height: 50%;
        width: 50%;
    }
    .projectName{
        font-size: 17px;
    }
    .gits{
        padding:4px;
        width:auto;
        display:flex;
        flex-direction: column;
    }
    .section_libraries{
        display: flex;
    }

    .library_list{
        display:flex;
        justify-content: center;
    }
    .library_name {
        margin-top: 10px;
    }

}


.version-container {
    padding: 78px;
    display:flex;
    flex-direction: column;
    align-items: center;
    background-color:#defdff;
    color: black;
}

.gits {
    width:500px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.gitHub {
    display: flex;
    flex-direction: column;
    size: 90%;
    margin-top: 5px;
    cursor: pointer;
}

.gitlab {
    cursor: pointer;
}
#github-description {
    margin-top: 9px;
}

.gitHub > img {
    padding:10px;
}


@media (max-width: 768px) {
    .gits{
        padding:4px;
        width:auto;
        display:flex;
        flex-direction: column;
    }
    .gitHub > img {
        padding: 14px;
    }
}
